--local BS = AceLibrary("Babble-Spell-2.2");
--Example of BS usage for localization:
--[BS["Corruption"]] 
--[BS["Shadow Bolt"]]

WarlockTable = {

	spellInfo = {
		["Corruption"] = {
					["0"] = { School = "Shadow", castTime = 2, eDot = true, eDuration = 18, },
					["4"] = { bMin=324, bMax=324, spellLevel = 34, },
					["5"] = { bMin=486, bMax=486, spellLevel = 44, },
					["6"] = { bMin=666, bMax=666, spellLevel = 54, },
					["7"] = { bMin=822, bMax=822, spellLevel = 60, },
					["8"] = { bMin=906, bMax=906, spellLevel = 65, }, 
				},
		["Shadow Bolt"] = {
					["0"] = { School = "Shadow", castTime = 3, canCrit = true, CastMod = 0.1, },
					["4"] = { bMin=86, bMax=98, spellLevel = 20, },
					["7"] = { bMin=281, bMax=315, spellLevel = 44, },
					["8"] = { bMin=360, bMax=402, spellLevel = 52, },
					["9"] = { bMin=455, bMax=507, spellLevel = 60, },
					["10"] ={ bMin=482, bMax=538, spellLevel = 60, },
					["11"] ={ bMin=541, bMax=603, spellLevel = 69, },
				},
		["Curse of Agony"] = {
					["0"] = { School = "Shadow", eDot = true, eDuration = 24, },
					["5"] = { bMin=780, bMax=780, spellLevel = 48, },
					["6"] = { bMin=1044, bMax=1044, spellLevel = 58, },
					["7"] = { bMin=1356, bMax=1356, spellLevel = 67, },
				},
		["Curse of Doom"] = {
					["0"] = { School = "Shadow", eDot = true, eDuration = 60, },
					["1"] = { bMin=3200, bMax=3200, spellLevel = 60, },
					["2"] = { bMin=4200, bMax=4200, spellLevel = 70, },
				},
		["Death Coil"] = {
					["0"] = { School = "Shadow", sFactor = 0.5, },
					["1"] = { bMin=282, bMax=283, spellLevel = 42, },
					["2"] = { bMin=368, bMax=369, spellLevel = 50, },
					["3"] = { bMin=446, bMax=447, spellLevel = 58, },
					["4"] = { bMin=519, bMax=519, spellLevel = 68, },
				},
		["Drain Life"] = {
					["0"] = { School = "Shadow", castTime=5, sHits = 5, sFactor = 0.5, },
					["5"] = { bMin=55, bMax=55, spellLevel = 46,  },
					["6"] = { bMin=71, bMax=71, spellLevel = 54, },
					["7"] = { bMin=87, bMax=87, spellLevel = 62, },
					["8"] = { bMin=108, bMax=108, spellLevel = 69, },
				},
		["Drain Soul"] = { 
					["0"] = { School = "Shadow", castTime=15, sFactor = 0.5, },
					["4"] = { bMin=455, bMax=455, spellLevel = 52, },
					["5"] = { bMin=620, bMax=620, spellLevel = 67, },
				},
		["Siphon Life"] = {
					["0"] = { School = "Shadow", sHits = 10, eDot = true, eDuration = 30, sFactor = 0.5, },
					["3"] = { bMin=33, bMax=33, spellLevel = 48, },
					["4"] = { bMin=45, bMax=45, spellLevel = 58, },
					["5"] = { bMin=52, bMax=52, spellLevel = 63, },
					["6"] = { bMin=63, bMax=63, spellLevel = 70, },
				},
		["Searing Pain"] = { 
					["0"] = { School = "Fire", canCrit = true, },
					["4"] = { bMin=122, bMax=146, spellLevel = 42, },
					["5"] = { bMin=158, bMax=188, spellLevel = 50, },
					["6"] = { bMin=204, bMax=240, spellLevel = 58, },
					["7"] = { bMin=243, bMax=287, spellLevel = 65, },
					["8"] = { bMin=270, bMax=320, spellLevel = 70, },
				},
		["Soul Fire"] = {
					["0"] = { School = "Fire", castTime=6, canCrit = true, CastMod = 0.4, },
					["1"] = { bMin=623, bMax=783, spellLevel = 48, },
					["2"] = { bMin=715, bMax=894, spellLevel = 56, },
					["3"] = { bMin=839, bMax=1051, spellLevel = 64, },
					["4"] = { bMin=1003, bMax=1257, spellLevel = 70, },
				},
		["Shadowburn"] = {
					["0"] = { School = "Shadow", canCrit = true, },
					["5"] = { bMin=261, bMax=293, spellLevel = 40, },
					["5"] = { bMin=350, bMax=392, spellLevel = 48, },
					["6"] = { bMin=450, bMax=502, spellLevel = 56, },
					["7"] = { bMin=518, bMax=578, spellLevel = 63, },
					["8"] = { bMin=597, bMax=665, spellLevel = 70, },
				},
		["Immolate"] = {
					["0"] = { School = "Fire", canCrit = true, castTime=2, CastMod = 0.1, hybridFactor = 0.349, eDuration = 15, },
					["5"] = { bMin=134, bMax=134, hybridDotDmg = 255, spellLevel = 40, },
					["6"] = { bMin=192, bMax=192, hybridDotDmg = 365, spellLevel = 50, },
					["7"] = { bMin=258, bMax=258, hybridDotDmg = 485, spellLevel = 60, },
					["8"] = { bMin=279, bMax=279, hybridDotDmg = 510, spellLevel = 60, },
					["9"] = { bMin=327, bMax=327, hybridDotDmg = 615, spellLevel = 69, },
				},
		["Hellfire"] = {
					["0"] = { School = "Fire", castTime=15, sHits = 15, sFactor = 1/3, },
					["2"] = { bMin=139, bMax=139, spellLevel = 42, },
					["3"] = { bMin=212, bMax=213, spellLevel = 54, },
					["4"] = { bMin=306, bMax=306, spellLevel = 68, },
				},
		["Rain of Fire"] = { 
					["0"] = { School = "Fire", castTime=8, sFactor = 1/3, },
					["3"] = { bMin=620, bMax=620, spellLevel = 46, },
					["4"] = { bMin=908, bMax=912, spellLevel = 58, },
					["5"] = { bMin=1212, bMax=1212, spellLevel = 69, },
				},
		["Unstable Affliction"] = {
					["0"] = { School = "Shadow", eDot = true, eDuration = 18, },
					["1"] = { bMin=660, bMax=660, spellLevel = 50, },
					["2"] = { bMin=840, bMax=840, spellLevel = 60, },
					["3"] = { bMin=1050, bMax=1050, spellLevel = 70, },
				},
		["Conflagrate"] = { 
					["0"] = { School = "Fire", canCrit = true },
					["1"] = { bMin=240, bMax=306, spellLevel = 40, },
					["2"] = { bMin=316, bMax=396, spellLevel = 48, },
					["3"] = { bMin=383, bMax=479, spellLevel = 54, },
					["4"] = { bMin=447, bMax=457, spellLevel = 60, },
					["5"] = { bMin=512, bMax=638, spellLevel = 65, },
					["6"] = { bMin=579, bMax=721, spellLevel = 70, },
				},
		["Seed of Corruption"] = { 
					["0"] = { School = "Shadow", canCrit = true, sFactor = 1/3, eDuration = 18, extraDotF = 18/15, },
					["1"] = { bMin=1110, bMax=1290, extraDotDmg=1044, spellLevel = 70, },
				},
		["Shadowfury"] = { 
					["0"] = { School = "Shadow", canCrit = true, sFactor = 1/3 * 0.95, },
					["1"] = { bMin=343, bMax=407, spellLevel = 50, },
					["2"] = { bMin=459, bMax=547, spellLevel = 60, },
					["3"] = { bMin=612, bMax=728, spellLevel = 70, },
				},				
	},	

 	talentInfo = {
		["Contagion"] = { Effect = 0.01, Spells = { "Curse of Agony", "Corruption", "Seed of Corruption" }, },
		["Shadow Mastery"] = { Effect = 0.02, Spells = { "Unstable Affliction", "Siphon Life", "Drain Life", "Drain Soul", "Shadowburn", "Shadow Bolt", "Corruption", "Curse of Agony" }, Spells2 = { "Death Coil" }, ModType2 = "SpellDamageBonus", },	
		["Improved Curse of Agony"] = { Effect = 0.05, Spells = { "Curse of Agony" }, },
		["Empowered Corruption"] = { Effect = 0.12, Spells = { "Corruption" }, ModType = "SpellDamage" },
		["Emberstorm"] = { Effect = 0.02, Spells = { "Searing Pain", "Immolate", "Soul Fire", "Hellfire", "Rain of Fire", "Incinerate", "Conflagrate" }, },
		["Improved Immolate"] = { Effect = 0.05, Spells = { "Immolate" }, ModType = "BaseNuke" },
		["Shadow and Flame"] = { Effect = 0.04, Spells = { "Shadow Bolt", "Incinerate" }, ModType = "SpellDamage" },
		["Bane"] = { Effect = 1, Spells = { "Shadow Bolt", "Immolate", "Soul Fire" }, ModType = "CastTime" },
		["Demonic Tactics"] = { Effect = 0.01, Spells = { "All" }, },
		["Improved Corruption"] = { Effect = 0.04, Spells = { "Corruption" }, ModType = "CastTime" },
		["Devastation"] = { Effect = 1, Spells = { "All" }, ModType = "Crit", },
		["Backlash"] = { Effect = 1, Spells = { "All" }, ModType = "Crit", },
		["Improved Searing Pain"] = { Effect = 10/3, Spells = { "Searing Pain" }, ModType = "Crit", },
		["Ruin"] = { Effect = 0.5, Spells = { "All" }, ModType = "CritMultiplier", },
		--["Demonic Knowledge"] = { Effect = 0.05, Spells = { "All" }, ModType = "Special" },
		--["Improved Shadow Bolt"] = { Effect = 0.05, Spells = { "Shadow Bolt" }, ModType = "Special" }
	},
}

MageTable = {

	spellInfo = { 
		["Pyroblast"] = {
					["0"] = { School = "Fire", castTime=6, canCrit = true, Ignite = true, eDuration=12, },
					["5"] = { bMin=407, bMax=515, hybridDotDmg=156, spellLevel = 42, },
					["6"] = { bMin=503, bMax=631, hybridDotDmg=188, spellLevel = 48, },
					["7"] = { bMin=600, bMax=750, hybridDotDmg=228, spellLevel = 54, },
					["8"] = { bMin=708, bMax=898, hybridDotDmg=268, spellLevel = 60, },
					["9"] = { bMin=846, bMax=1074, hybridDotDmg=312, spellLevel = 66, },
		},
		["Fireball"] = {
					["0"] = { School = "Fire", canCrit = true, castTime=3.5, extraDotF = 0.02, CastMod = 0.1, Ignite = true, eDuration=8, },
					["8"] = { bMin=318, bMax=414, extraDotDmg=40, spellLevel = 42, },
					["9"] = { bMin=392, bMax=506, extraDotDmg=52, spellLevel = 48, },
					["10"] = { bMin=475, bMax=609, extraDotDmg=60, spellLevel = 54, },
					["11"] = { bMin=561, bMax=715, extraDotDmg=72, spellLevel = 60, },
					["12"] = { bMin=596, bMax=760, extraDotDmg=76, spellLevel = 60, },
					["13"] = { bMin=633, bMax=805, extraDotDmg=84, spellLevel = 66, },
		},
		["Scorch"] = {
					["0"] = { School = "Fire", canCrit = true,  Ignite = true, },
					["4"] = { bMin=133, bMax=159, spellLevel = 40, },
					["5"] = { bMin=162, bMax=192, spellLevel = 46, },
					["6"] = { bMin=200, bMax=239, spellLevel = 52, },
					["7"] = { bMin=233, bMax=275, spellLevel = 58, },
					["8"] = { bMin=269, bMax=317, spellLevel = 64, },
					["9"] = { bMin=305, bMax=361, spellLevel = 70, },
		},
		["Fire Blast"] = {
					["0"] = { School = "Fire", canCrit = true, Ignite = true, },
					["5"] = { bMin=242, bMax=290, spellLevel = 38, },
					["6"] = { bMin=332, bMax=394, spellLevel = 46, },
					["7"] = { bMin=431, bMax=509, spellLevel = 54, },
					["8"] = { bMin=539, bMax=637, spellLevel = 61, },
					["9"] = { bMin=664, bMax=786, spellLevel = 70, },
		},				
		["Blast Wave"] = {
					--VERIFY FACTOR
					["0"] = { School = "Fire", canCrit = true, sFactor=0.95 * 1/3, Ignite = true, },
					["3"] = { bMin=277, bMax=329, spellLevel = 44, },
					["4"] = { bMin=365, bMax=433, spellLevel = 52, },
					["5"] = { bMin=462, bMax=544, spellLevel = 60, },
					["6"] = { bMin=533, bMax=627, spellLevel = 65, },
					["7"] = { bMin=616, bMax=724, spellLevel = 70, },
		},
		["Dragon's Breath"] = {
					["0"] = { School = "Fire", canCrit = true, sFactor=0.95 * 1/3, Ignite = true, },
					["1"] = { bMin=370, bMax=430, spellLevel = 50, },
					["2"] = { bMin=454, bMax=526, spellLevel = 56, },
					["3"] = { bMin=574, bMax=666, spellLevel = 64, },
					["4"] = { bMin=680, bMax=790, spellLevel = 70, },
		},				
		["Flamestrike"] = {
					["0"] = { School = "Fire", castTime=3, canCrit = true, Ignite = true, eDuration=8, sFactor = 1/3 * 0.95, hybridFactor = 0.7 },
					["4"] = { bMin=220, bMax=272, hybridDotDmg=192, spellLevel = 40, },
					["5"] = { bMin=291, bMax=359, hybridDotDmg=264, spellLevel = 48, },
					["6"] = { bMin=375, bMax=459, hybridDotDmg=340, spellLevel = 56, },
					["7"] = { bMin=471, bMax=575, hybridDotDmg=424, spellLevel = 64, },
		},				
		["Frostbolt"] = {
					["0"] = { School = "Frost", castTime=3, canCrit = true, CastMod = 0.1, sFactor=0.95, },
					["8"] = { bMin=292, bMax=316, spellLevel = 44, },
					["9"] = { bMin=353, bMax=383, spellLevel = 50, },
					["10"] = { bMin=429, bMax=463, spellLevel = 56, },
					["11"] = { bMin=515, bMax=555, spellLevel = 60, },
					["12"] = { bMin=522, bMax=562, spellLevel = 62, },
					["13"] = { bMin=597, bMax=643, spellLevel = 68, },
		},
		["Blizzard"] = {
					["0"] = { School = "Frost", castTime=8, sFactor= 1/3, },
					["4"] = { bMin=720, bMax=720, spellLevel = 44, },
					["5"] = { bMin=936, bMax=936, spellLevel = 52, },
					["6"] = { bMin=1192, bMax=1192, spellLevel = 60, },
					["7"] = { bMin=1472, bMax=1472, spellLevel = 68, },
		},
		["Cone of Cold"] = {
					--VERIFY FACTOR
					["0"] = { School = "Frost", canCrit = true, sFactor= 0.95 * 1/3, },
					["3"] = { bMin=203, bMax=223, spellLevel = 42, },
					["4"] = { bMin=264, bMax=290, spellLevel = 50, },
					["5"] = { bMin=335, bMax=365, spellLevel = 58, },
					["6"] = { bMin=410, bMax=448, spellLevel = 66, },
		},
		["Frost Nova"] = {
					["0"] = { School = "Frost", canCrit = true, sFactor= 0.2 * 1/3, },
					["1"] = { bMin=19, bMax=21,  spellLevel = 10, sFactor = 1 - ((20 - 10) * 0.0375), },
					["2"] = { bMin=33, bMax=37, spellLevel = 26, },
					["3"] = { bMin=47, bMax=53, spellLevel = 40, },
					["4"] = { bMin=71, bMax=79, spellLevel = 54, },
					["5"] = { bMin=99, bMax=111, spellLevel = 68, },
		},				
		["Arcane Missiles"] = {
					["0"] = { School = "Arcane", castTime=5, sHits=5, },
					["5"] = { bMin=115, bMax=115, spellLevel = 40, },
					["6"] = { bMin=151, bMax=151, spellLevel = 48, },
					["7"] = { bMin=192, bMax=192, spellLevel = 56, },
					["8"] = { bMin=230, bMax=230, spellLevel = 60, },
					["9"] = { bMin=240, bMax=240, spellLevel = 64, },
		},
		["Arcane Explosion"] = {
					["0"] = { School = "Arcane", canCrit = true, sFactor=1/3, },
					["1"] = { bMin=32, bMax =36,  spellLevel = 14, sFactor = 1 - ((20-14) * 0.0375), },
					["5"] = { bMin=186, bMax=202, spellLevel = 46, },
					["6"] = { bMin=243, bMax=263, spellLevel = 54, },
					["7"] = { bMin=306, bMax=330, spellLevel = 62, },
					["8"] = { bMin=377, bMax=407, spellLevel = 70, },
		},
	},
			
	talentInfo = { 
		--ARCANE:
		["Arcane Impact"] = { Effect = 2, Spells = { "Arcane Explosion", "Arcane Impact" }, ModType = "Crit", },
		["Arcane Instability"] = { Effect = 1, Spells = { "All" }, ModType = "Crit", },
		["Spell Power"] = { Effect = 0.125, Spells = { "All" }, ModType = "CritMultiplier", },
		["Empowered Arcane Missiles"] = { Effect = 0.15, Spells = { "Arcane Missiles" }, ModType = "SpellDamage" },
		--FIRE:
		["Improved Fireball"] = { Effect = 1, Spells = { "Fireball" }, ModType = "CastTime" },
		["Ignite"] = { Effect = 0.08, Spells = { "Fireball", "Pyroblast", "Fire Blast", "Scorch", "Blast Wave", "Dragon's Breath", "Flamestrike" }, ModType = "Ignite" },
		["Improved Flamestrike"] = { Effect = 5, Spells = { "Flamestrike" }, ModType = "Crit", },
		["Critical Mass"] = { Effect = 2, Spells = { "Fireball", "Pyroblast", "Fire Blast", "Scorch", "Blast Wave", "Dragon's Breath", "Flamestrike" }, ModType = "Crit" },
		["Playing with Fire"] = { Effect = 0.01, Spells = { "All" }, },
		["Fire Power"] = { Effect = 0.02, Spells = { "Fireball", "Pyroblast", "Fire Blast", "Scorch", "Blast Wave", "Dragon's Breath", "Flamestrike" } },
		["Pyromaniac"] = { Effect = 1, Spells = { "Fireball", "Pyroblast", "Fire Blast", "Scorch", "Blast Wave", "Dragon's Breath", "Flamestrike" }, ModType = "Crit" },
		["Empowered Fireball"] = { Effect = 0.03, Spells = { "Fireball" }, ModType = "SpellDamage" },
		--FROST:
		["Improved Frostbolt"] = { Effect = 1, Spells = { "Frostbolt" }, ModType = "CastTime" },
		["Ice Shards"] = { Effect = 0.10, Spells = { "Frostbolt", "Cone of Cold", "Frost Nova" }, ModType = "CritMultiplier", },
		["Piercing Ice"] = { Effect = 0.02, Spells = { "Frostbolt", "Cone of Cold", "Blizzard", "Frost Nova", } },
		["Improved Cone of Cold"] = { Effect = 35/300, Spells = { "Cone of Cold" } },
		["Empowered Frostbolt"] = { Effect = 0.02, Spells = { "Frostbolt" }, ModType = "SpellDamage", Effect2 = 1, Spells2 = { "Frostbolt" }, ModType2 = "Crit" }, 
	},
}

PriestTable = {

	spellInfo = { 
		["Mind Flay"] = {
					["0"] = { School = "Shadow", castTime=3, sFactor = 0.665 },
					["3"] = { bMin=186, bMax=186, spellLevel = 36, },
					["4"] = { bMin=261, bMax=261, spellLevel = 44, },
					["5"] = { bMin=330, bMax=330, spellLevel = 52, },
					["6"] = { bMin=426, bMax=426, spellLevel = 60, },
		},		
		["Devouring Plague"] = {
					["0"] = { School = "Shadow", eDot = true, eDuration = 24, sFactor = 0.5 },
					["3"] = { bMin=400, bMax=400, spellLevel = 36, },
					["4"] = { bMin=544, bMax=544, spellLevel = 44, },
					["5"] = { bMin=712, bMax=712, spellLevel = 52, },
					["6"] = { bMin=904, bMax=904, spellLevel = 60, },					
		},
		["Shadow Word: Pain"] = {
					["0"] = { School = "Shadow", eDot = true, eDuration = 18, },
					["5"] = { bMin=366, bMax=366, spellLevel = 34, },
					["6"] = { bMin=510, bMax=510, spellLevel = 42, },	
					["7"] = { bMin=672, bMax=672, spellLevel = 50, },
					["8"] = { bMin=852, bMax=852, spellLevel = 58, },				
		},
		["Mind Blast"] = {
					["0"] = { School = "Shadow", canCrit = true, },
					["5"] = { bMin=217, bMax=231, spellLevel = 34, },
					["6"] = { bMin=279, bMax=297, spellLevel = 40, },
					["7"] = { bMin=346, bMax=366, spellLevel = 46, },
					["8"] = { bMin=425, bMax=449, spellLevel = 52, },
					["9"] = { bMin=503, bMax=531, spellLevel = 58, },
		},		
		["Greater Heal"] = {
					["0"] = { School = "Holy", canCrit = true, Healing = true, castTime = 3, CastMod = 0.1 },
					["1"] = { bMin=899, bMax=1013, spellLevel = 40, },
					["2"] = { bMin=1149, bMax=1289, spellLevel = 46, },
					["3"] = { bMin=1437, bMax=1609, spellLevel = 52, },
					["4"] = { bMin=1798, bMax=2006, spellLevel = 58, },
					["5"] = { bMin=1966, bMax=2194, spellLevel = 60, },
		},
		["Prayer of Healing"] = {
					["0"] = { School = "Holy", canCrit = true, castTime = 3, Healing = true, sFactor = 1/3 },
					["2"] = { bMin=444, bMax=472, spellLevel = 40, },
					["3"] = { bMin=657, bMax=695, spellLevel = 50, },
					["4"] = { bMin=939, bMax=991, spellLevel = 60, },
					["5"] = { bMin=1041, bMax=1099, spellLevel = 60, },
		},
		["Flash Heal"] = {
					["0"] = { School = "Holy", canCrit = true, Healing = true, },
					["4"] = { bMin=400, bMax=478, spellLevel = 38, },
					["5"] = { bMin=518, bMax=616, spellLevel = 44, },
					["6"] = { bMin=655, bMax=764, spellLevel = 52, },
					["7"] = { bMin=812, bMax=958, spellLevel = 58, },
		},	
		["Renew"] = {
					["0"] = { School = "Holy", eDot = true, eDuration = 15, Healing = true, },
					["7"] = { bMin=510, bMax=510, spellLevel = 44, },
					["8"] = { bMin=650, bMax=650, spellLevel = 50, },
					["9"] = { bMin=810, bMax=810, spellLevel = 56, },
					["10"] = { bMin=970, bMax=970, spellLevel = 60, },
		},		
		["Smite"] = {
					["0"] = { School = "Holy", canCrit = true, castTime=2.5, CastMod = 0.1 },
					["5"] = { bMin=150, bMax=170, spellLevel = 30, },
					["6"] = { bMin=212, bMax=240, spellLevel = 38, },
					["7"] = { bMin=287, bMax=323, spellLevel = 46, },
					["8"] = { bMin=371, bMax=415, spellLevel = 54, },
		},
		["Holy Fire"] = {
					["0"] = { School = "Holy", canCrit = true, castTime=3.5, CastMod = 0.1, hybridFactor = 0.75 },
					["4"] = { bMin=165, bMax=209, hybridDotDmg= 65, spellLevel = 36, },
					["5"] = { bMin=204, bMax=258, hybridDotDmg= 85, spellLevel = 42, },
					["6"] = { bMin=254, bMax=322, hybridDotDmg= 100, spellLevel = 48, },
					["7"] = { bMin=304, bMax=386, hybridDotDmg= 125, spellLevel = 54, },
					["8"] = { bMin=355, bMax=449, hybridDotDmg= 145, spellLevel = 60, },
		},
		["Holy Nova"] = {
					["0"] = { School = "Holy", canCrit = true, sFactor = 1/3 * 0.8 }, --hFactor = 0.11
					["3"] = { bMin=76, bMax=88, hMin=121, hMax=139, spellLevel = 36, },
					["4"] = { bMin=106, bMax=123, hMin=161, hMax=188, spellLevel = 44, },
					["5"] = { bMin=140, bMax=163, hMin=235, hMax=272, spellLevel = 52, },
					["6"] = { bMin=181, bMax=210, hMin=302, hMax=350, spellLevel = 60, },
		},
		["Starshards"] = {
					["0"] = { School = "Arcane", eDot = true, eDuration = 6, },
					["4"] = { bMin=414, bMax=414, spellLevel = 34, },
					["5"] = { bMin=570, bMax=570, spellLevel = 42, },
					["6"] = { bMin=756, bMax=756, spellLevel = 50, },
					["7"] = { bMin=936, bMax=936, spellLevel = 58, },
		},				
	},

	talentInfo = { 
		--SHADOW:
		["Improved Shadow Word: Pain"] = { Effect = 3, Spells = { "Shadow Word: Pain" }, ModType = "SpellDuration", },
		["Darkness"] = { Effect = 0.02, Spells = { "Shadow Word: Pain", "Mind Blast", "Mind Flay", "Shadow Word: Death", "Devouring Plague" }, },
		["Focused Mind"] = { Effect = 3, Spells = { "Mind Blast", "Shadow Word: Death" }, ModType = "Crit", },
		--HOLY:
		["Holy Specialization"] = { Effect = 1, Spells = { "Smite", "Holy Fire", "Heal", "Greater Heal", "Flash Heal", "Holy Nova" }, ModType = "Crit", },
		["Improved Renew"] = { Effect = 0.05, Spells = { "Renew" }, },
		["Divine Fury"] = { Effect = 1, Spells = { "Smite", "Holy Fire", "Heal", "Greater Heal" }, ModType = "CastTime", },
		["Searing Light"] = { Effect = 0.05, Spells = { "Smite", "Holy Fire" }, },
		["Spiritual Healing"] = { Effect = 0.02, Spells = { "Heal", "Flash Heal", "Greater Heal" }, },
		["Empowered Healing"] = { Effect = 0.04, Spells = { "Greater Heal" }, ModType = "SpellDamage", Effect2 = 0.02, Spells2 = { "Flash Heal" }, ModType2 = "SpellDamage", },
		--DISCIPLINE:
		["Improved Power Word: Shield"] = { Effect = 0.05, Spells = { "Power Word: Shield" }, },
		["Force of Will"] = { Effect = 1, Spells = { "Smite", "Holy Fire", "Mind Blast", "Shadow Word: Death", }, ModType = "Crit", },
	},
}

ShamanTable = {

	spellInfo = { },
	talentInfo = { },
	
}

DruidTable = {

	spellInfo = { },
	talentInfo = { },
	
}